using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MarketData.Service
{
  public class Authorizations
  {
    public static String Xor(String input, int magic=5)
    {
      StringBuilder sb = new StringBuilder();
      foreach (char ch in input) sb.Append((char)(ch ^ (char)magic));
      return sb.ToString();
    }
  }
}
